## ros-iron-lifecycle 0.27.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(lifecycle)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)

### demos
add_executable(lifecycle_talker
  src/lifecycle_talker.cpp)
ament_target_dependencies(lifecycle_talker
  "lifecycle_msgs"
  "rclcpp_lifecycle"
  "std_msgs"
)
add_executable(lifecycle_listener
  src/lifecycle_listener.cpp)
ament_target_dependencies(lifecycle_listener
  "lifecycle_msgs"
  "rclcpp_lifecycle"
  "std_msgs"
)
add_executable(lifecycle_service_client
  src/lifecycle_service_client.cpp)
ament_target_dependencies(lifecycle_service_client
  "lifecycle_msgs"
  "rclcpp_lifecycle"
  "std_msgs"
)

install(TARGETS
  lifecycle_talker
  lifecycle_listener
  lifecycle_service_client
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ros_testing REQUIRED)
  add_ros_test(
    test/test_lifecycle.py
    TIMEOUT 60
  )
endif()

install(DIRECTORY
  launch
  DESTINATION share/${PROJECT_NAME}/
)

ament_package()

=== debian/changelog ===
ros-iron-lifecycle (0.27.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-iron-lifecycle (0.27.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-iron-lifecycle (0.26.0-1jammy) jammy; urgency=high

  * update launch file name format to match documentation (#588 <https://github.com/ros2/demos/issues/588>)
  * Contributors: Patrick Wspanialy

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-lifecycle (0.25.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 16:00:00 -0000

ros-iron-lifecycle (0.24.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-iron-lifecycle (0.24.0-1jammy) jammy; urgency=high

  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-iron-lifecycle (0.23.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-lifecycle (0.22.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-lifecycle (0.21.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-iron-lifecycle (0.20.1-1jammy) jammy; urgency=high

  * Make lifecycle demo automatically exit when done (#558 <https://github.com/ros2/demos/issues/558>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-lifecycle (0.20.0-1jammy) jammy; urgency=high

  * Use default on_activate()/on_deactivate() implemenetation of Node (#552 <https://github.com/ros2/demos/issues/552>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-lifecycle (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-iron-lifecycle (0.18.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-iron-lifecycle (0.17.0-1jammy) jammy; urgency=high

  * Fix use of future in lifecycle demo (#534 <https://github.com/ros2/demos/issues/534>)
  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha, Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-iron-lifecycle (0.16.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-iron-lifecycle (0.15.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 May 2021 16:00:00 -0000

ros-iron-lifecycle (0.14.2-1jammy) jammy; urgency=high

  * Cleanup the README.rst for the lifecycle demo. (#508 <https://github.com/ros2/demos/issues/508>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-iron-lifecycle (0.14.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 18 Apr 2021 16:00:00 -0000

ros-iron-lifecycle (0.14.0-1jammy) jammy; urgency=high

  * change ParameterEventHandler to take events as const ref instead of shared pointer (#494 <https://github.com/ros2/demos/issues/494>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-lifecycle (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-iron-lifecycle (0.12.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-lifecycle (0.12.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-lifecycle (0.11.0-1jammy) jammy; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-iron-lifecycle (0.10.1-1jammy) jammy; urgency=high

  * Add missing required parameter in LifecycleNode launch action (#456 <https://github.com/ros2/demos/issues/456>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-iron-lifecycle (0.10.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Jun 2020 16:00:00 -0000

ros-iron-lifecycle (0.9.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-iron-lifecycle (0.9.2-1jammy) jammy; urgency=high

  * Fix typo (#445 <https://github.com/ros2/demos/issues/445>)
  * Replace ``ros2 msg`` command in lifecycle README (#446 <https://github.com/ros2/demos/issues/446>)
  * Contributors: Audrow Nash, Shota Aoki

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-lifecycle (0.9.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 May 2020 16:00:00 -0000

ros-iron-lifecycle (0.9.0-1jammy) jammy; urgency=high

  * Replace deprecated launch_ros usage (#437 <https://github.com/ros2/demos/issues/437>)


=== debian/control ===
Source: ros-iron-lifecycle
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-lifecycle-msgs, ros-iron-rclcpp-lifecycle, ros-iron-ros-testing <!nocheck>, ros-iron-std-msgs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-lifecycle-msgs, ros-iron-rclcpp-lifecycle, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Package containing demos for lifecycle implementation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-lifecycle//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
